### Signal

# SpiceClientGLib DisplayChannel::display-primary-create

#### Declaration

    void
    display_primary_create (
      SpiceDisplayChannel* self,
      gint format,
      gint width,
      gint height,
      gint stride,
      gint shmid,
      gpointer imgdata,
      gpointer user_data
    )

#### Description [src]

The `SpiceDisplayChannel::display-primary-create` signal provides main display buffer data.

Default handler: The default handler is called before the handlers added via `g_signal_connect()`.

#### Parameters

`format`

  Type: `gint`

  %SPICE_SURFACE_FMT_32_xRGB or `SPICE_SURFACE_FMT_16_555`;.

`width`

  Type: `gint`

  Width resolution.

`height`

  Type: `gint`

  Height resolution.

`stride`

  Type: `gint`

  The buffer stride (“width” padding).

`shmid`

  Type: `gint`

  Identifier of the shared memory segment associated with the `imgdata`, or -1 if not shm.

`imgdata`

  Type: `gpointer`

  Pointer to surface buffer.

  The argument can be `NULL`.
  The data is owned by the caller of the function.